# Int64

    extension Int64: FieldStorableType

    extension Int64: ImportableAttributeType

    extension Int64: AllowedObjectiveCKeyPathValue

    extension Int64: AllowedObjectiveCAttributeKeyPathValue

    extension Int64: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = Int64

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = Int64

### Int64

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSNumber

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> Int64?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType